CGAL 5.6.3 - Point Set Processing

Loading...
Searching...
No Matches
Functions
I/O Functions (Deprecated)
Point Set Processing Reference » I/O Functions

##

## Functions
template<typename OutputIteratorValueType , typename OutputIterator , typename ... PropertyHandler>
bool | CGAL::read_las_points_with_properties (std::istream &is, OutputIterator output, PropertyHandler &&... properties)
template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_las_points (std::istream &is, OutputIterator output, const NamedParameters &np=parameters::default_values())
template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_off_points (std::istream &is, OutputIterator output, const NamedParameters &np=parameters::default_values())
template<typename OutputIteratorValueType , typename OutputIterator , typename ... PropertyHandler>
bool | CGAL::read_ply_points_with_properties (std::istream &is, OutputIterator output, PropertyHandler &&... properties)
template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::read_ply_points (std::istream &is, OutputIterator output, const NamedParameters &np=parameters::default_values())
template<typename PointRange , typename PointMap , typename ... PropertyHandler>
bool | CGAL::write_las_points_with_properties (std::ostream &os, const PointRange &points, std::tuple< PointMap, IO::LAS_property::X, IO::LAS_property::Y, IO::LAS_property::Z > point_property, PropertyHandler &&... properties)
template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_las_points (std::ostream &os, const PointRange &points, const NamedParameters &np=parameters::default_values())
template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_off_points (std::ostream &os, const PointRange &points, const NamedParameters &np=parameters::default_values())
template<typename PointRange , typename ... PropertyHandler>
bool | CGAL::write_ply_points_with_properties (std::ostream &os, const PointRange &points, PropertyHandler &&... properties)
template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_ply_points (std::ostream &os, const PointRange &points, const NamedParameters &np=parameters::default_values())
template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::write_xyz_points (std::ostream &os, const PointRange &points, const NamedParameters &np=parameters::default_values())

## Function Documentation

## ◆ read_las_points()

template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_las_points | ( | std::istream & | is,
|  | OutputIterator | output,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/read_las_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_LAS()` should be used instead.

## ◆ read_las_points_with_properties()

template<typename OutputIteratorValueType , typename OutputIterator , typename ... PropertyHandler>

bool CGAL::read_las_points_with_properties | ( | std::istream & | is,
|  | OutputIterator | output,
|  | PropertyHandler &&... | properties
| ) |  |

`#include <CGAL/IO/read_las_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_LAS_with_properties()` should be used instead.

## ◆ read_off_points()

template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_off_points | ( | std::istream & | is,
|  | OutputIterator | output,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/read_off_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_OFF()` should be used instead.

## ◆ read_ply_points()

template<typename OutputIteratorValueType , typename OutputIterator , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::read_ply_points | ( | std::istream & | is,
|  | OutputIterator | output,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/read_ply_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_PLY()` should be used instead.

## ◆ read_ply_points_with_properties()

template<typename OutputIteratorValueType , typename OutputIterator , typename ... PropertyHandler>

bool CGAL::read_ply_points_with_properties | ( | std::istream & | is,
|  | OutputIterator | output,
|  | PropertyHandler &&... | properties
| ) |  |

`#include <CGAL/IO/read_ply_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::read_PLY_with_properties()` should be used instead.

## ◆ write_las_points()

template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_las_points | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/write_las_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_LAS()` should be used instead.

## ◆ write_las_points_with_properties()

template<typename PointRange , typename PointMap , typename ... PropertyHandler>

bool CGAL::write_las_points_with_properties | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | std::tuple< PointMap, IO::LAS_property::X, IO::LAS_property::Y, IO::LAS_property::Z > | point_property,
|  | PropertyHandler &&... | properties
| ) |  |

`#include <CGAL/IO/write_las_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_LAS_with_properties()` should be used instead.

## ◆ write_off_points()

template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_off_points | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/write_off_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_OFF()` should be used instead.

## ◆ write_ply_points()

template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_ply_points | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/write_ply_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_PLY()` should be used instead.

## ◆ write_ply_points_with_properties()

template<typename PointRange , typename ... PropertyHandler>

bool CGAL::write_ply_points_with_properties | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | PropertyHandler &&... | properties
| ) |  |

`#include <CGAL/IO/write_ply_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::IO::write_PLY_with_properties()` should be used instead.

Parameters

  os | output stream.
  points | input point range.
  properties | parameter pack of property handlers

## ◆ write_xyz_points()

template<typename PointRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::write_xyz_points | ( | std::ostream & | os,
|  | const PointRange & | points,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/write_xyz_points.h>`

Deprecated:
  This function is deprecated since CGAL 5.3, `CGAL::write_XYZ()` should be used instead.